Last modified: 2011-11-28 13:23:08 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 15891 - New parser function 'medialocalurl' and rename 'filepath' to 'mediafullurl'
New parser function 'medialocalurl' and rename 'filepath' to 'mediafullurl'
Status: RESOLVED WONTFIX
Product: MediaWiki
Classification: Unclassified
Parser (Other open bugs)
unspecified
All All
: Low enhancement (vote)
: ---
Assigned To: Nobody - You can work on this!
: need-parsertest, newparser, parser
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-08 12:15 UTC by Olaf Lenz
Modified: 2011-11-28 13:23 UTC (History)
1 user (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
Patch that adds a parser function "medialocalurl" and creates a new alias "mediafullurl" for "filepath". (2.71 KB, patch)
2008-10-08 12:15 UTC, Olaf Lenz
Details

Description Olaf Lenz 2008-10-08 12:15:09 UTC
Created attachment 5402 [details]
Patch that adds a parser function "medialocalurl" and creates a new alias "mediafullurl" for "filepath".

I want to propose the attached patch, that will do the following:
* It introduces a new parser function "medialocalurl", that will returns the local URL of the given media file (e.g. [{{medialocalurl:foobar.jpg}} an image])
* Corresponding to the parser functions "localurl" and "fullurl", this function complements the parser function "filepath", that returns the full url.
* To better represent this correspondance, it also renames the function "filepath" to "mediafullurl". 
* For compatibility, it keeps the parser function "filepath" as an alias of "mediafullurl".

If the patch is accepted, I will gladly write the (still missing) documentation (in-code, and on the Mediawiki wiki).
Comment 1 Sumana Harihareswara 2011-11-25 20:00:53 UTC
Olaf, thank you for the patch.  I'm sorry that it's taken us so long to review it.  In the three years since you posted it, the codebase has changed so much that it no longer cleanly applies to trunk.  Do you think the functionality is still necessary, when you look at what's now in MediaWiki 1.18 (and, more pertinently, in trunk?)  If so, we would be interested in knowing so that Gabriel and Brion can work with you to include it in the parser rewrite they're working on.

Thanks; I await your response.  And again, my regrets on the delay.
Comment 2 Sumana Harihareswara 2011-11-25 20:01:24 UTC
Comment on attachment 5402 [details]
Patch that adds a parser function "medialocalurl" and creates a new alias "mediafullurl" for "filepath".

Patch no longer applies to trunk, per automated testing by Rusty Burchfield, http://lists.wikimedia.org/pipermail/wikitech-l/2011-November/056340.html
Comment 3 Olaf Lenz 2011-11-28 13:23:08 UTC
Meanwhile, the patch is obsolete, as I can generate the link that I needed via the standard [[]]-syntax.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links